Subject: Re: Where to install gnu-win32...
From: DJ Delorie <[email-masked]>

29 Aug 1998 00:29:39 -0400
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (X11; I; IRIX 5.3 IP22)

Dennis Newbold wrote:
> I was a little surprised that I could umount /, but it seemed to work OK.

The mount tables are only used to translate file paths.  Unlike Unix,
there is no locking mechanism that would prevent you from unmounting
a mount while you're in that directory.  In the absense of mounts,
it probably maps the current drive as-is (so "/" is the root of
whatever drive you're on).  Note that changing the mount table
while you're using that mount may lead to interesting results,
like `pwd` changing out from under you.